;------------------------------------------------------------------------
;
; LESSON1B.ASM
;
; This program will flash all LEDs together on ports A and B (or doesn't
; it?).
;
;------------------------------------------------------------------------

            .CR   8085            The processor we're using
            .CP   1,9600,N,8,1    SITCOM is connected to COM1
            .TF   COM1:,INT       Send generated code to COM1

;------------------------------------------------------------------------
;
; Constants declarations
;
;------------------------------------------------------------------------

PORTA       .EQ   000H            Port A on the 8255
PORTB       .EQ   001H            Port B on the 8255
PORTC       .EQ   002H            Port C on the 8255
CONTROL     .EQ   003H            Control register of the 8255

;------------------------------------------------------------------------
;
; Flash the LEDs	
;
;------------------------------------------------------------------------
	
START       MVI   A,10001001B      Select outputs for Ports A and B
            OUT   CONTROL          of the 8255, Port C are inputs

            MVI   A,00000000B      Load the accumulator with bit pattern

FLASH       OUT   PORTA            Output the bit pattern to port A
            OUT   PORTB            Output the bit pattern to port B

            CMA                    Complement all bits in the Accu
            JMP   FLASH            Repeat for ever			
